#include<allegro.h>

#include"motoko.h"

main ()
{
BITMAP *backround,*buffer;
_motoko_preset *fountain = malloc(sizeof(_motoko_preset));

allegro_init();
install_keyboard();
set_color_depth(16);
set_gfx_mode(GFX_AUTODETECT_WINDOWED,640,480,0,0);
                                                                                            //240  200  
_motoko_preset_init(fountain,500, 310, 240, 0, -.01, 0, 0, 360, 1, 360, .3, .2, 0, 50, 0, 1, 240, 50, 400, 1, 500, 1, 0,3,0,makecol16(205,205,255));
_motoko.di=3;
_motoko_all_kill();
_motoko_preset_group(0,fountain);


backround=load_pcx("shot.pcx",NULL);
buffer=create_bitmap(640,480);
while(!key[KEY_ESC])
        {
        blit(backround,buffer,0,0,0,0,640,480);
        _motoko_all_logic();
        _motoko_all_draw(buffer);
//        _motoko_alt_group_draw(buffer,0,320,240);
        blit(buffer,screen,0,0,0,0,640,480);
        if(key[KEY_F12])save_pcx("shut.pcx",buffer,NULL);
        vsync();
        }
allegro_exit();
return (0);
}
END_OF_MAIN();
